> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Get all search indices

GET https://api.contentful.com/organizations/{organization_id}/semantic/search-index

Reference: https://contentful.com/developers/docs/references/content-management-api/content-semantics/get-all-search-indices

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `organization_id` (string, required) — ID of the organization

### Query parameters

- `status` (string, optional) — Comma-separated list of index statuses to filter by. Possible values: `ACTIVE`, `PENDING`, `DELETING`.

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "items": [
    {
      "sys": {
        "createdAt": "2025-08-21T13:41:54.274Z",
        "createdBy": {
          "sys": {
            "id": "user123",
            "linkType": "User",
            "type": "Link"
          }
        },
        "environment": {
          "sys": {
            "id": "master",
            "linkType": "Environment",
            "type": "Link"
          }
        },
        "id": "abc123",
        "locale": {
          "sys": {
            "id": "locale123",
            "linkType": "Locale",
            "type": "Link"
          }
        },
        "localeCode": "en-US",
        "organization": {
          "sys": {
            "id": "myOrg",
            "linkType": "Organization",
            "type": "Link"
          }
        },
        "space": {
          "sys": {
            "id": "mySpace",
            "linkType": "Space",
            "type": "Link"
          }
        },
        "status": "ACTIVE",
        "type": "ContentSemanticsIndex",
        "updatedAt": "2025-08-21T13:41:54.274Z"
      }
    }
  ],
  "sys": {
    "type": "Array"
  }
}
```

**SDK Code**

```android Android
SDK currently doesn't implement this endpoint.
```

```java Java
SDK currently doesn't implement this endpoint.
```

```kotlin Kotlin
SDK currently doesn't implement this endpoint.
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
SDK currently doesn't implement this endpoint.
```

```javascript JavaScript
SDK currently doesn't implement this endpoint.
```

```php PHP
SDK currently doesn't implement this endpoint.
```

```ruby Ruby
SDK currently doesn't implement this endpoint.
```

```python Python
SDK currently doesn't implement this endpoint.
```

```.net .NET
SDK currently doesn't implement this endpoint.
```